#============================================================
# GnuPlot script : STD.GNU
#============================================================
# Parameter 0 : input data file
# Parameter 1 : graph title
# Parameter 2 : min X:max x
# Parameter 3 : min y:max y
# Parameter 4 : Size X, Size y
# Parameter 5 : output file (PNG format)
#============================================================

# -------------------------------------
# Setting
# -------------------------------------
set xlabel "Wavelength (A)"
#set ylabel "Relative intensity"
set ylabel "flux [erg/cm^2/sec/A]"	# added MD
set title '$1' offset 0,-0.5
set tmargin 2
set xrange [$2]
set yrange [$3]
set terminal push
# myplot
set grid
set mxtics 5
set mytics 5						# added MD
set grid ytics mytics xtics			# added MD
set logscale y						# added MD

# -------------------------------------
# Plot on the computer screen
# -------------------------------------
set terminal windows "Arial" 9
plot "$0" notitle with lines lc rgb 'black'

# -------------------------------------
# Plot on a PNG file
# -------------------------------------
set terminal png small size $4
set output '$5'
replot

# -------------------------------------
# Finalize
# -------------------------------------
set output
set terminal pop
reset